#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/11/4 15:08
# @File        : constants.py
# @Description :
"""


# DEFAULT_CONFIG defines the path to the default configuration file.
# This path will be used if the configuration file is not explicitly specified by the environment variables.
DEFAULT_CONFIG = 'config.yaml'

# ENV_CONFIG_MAP is a dictionary that maps different environments to their respective configuration file paths.
# The key is the environment name, and the value is the path to the configuration file for that environment.
# If additional environments are necessary, they can be added here.
ENV_CONFIG_MAP = {
    'PRODUCTION': 'production_config.yaml',
    'DEVELOPMENT': 'config.yaml',
    # Add more environments here if necessary
}
