#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/10/28 12:53
# @File        : init_config.py
# @Description : Initializes the FlaskDynaconf extension for a Flask application.
"""

from flask import Flask
from dynaconf import FlaskDynaconf


def init_config(app: Flask) -> None:
    """
    Initializes the FlaskDynaconf extension for a Flask application.

    Args:
        app (Flask): The Flask application.

    Returns:
    None
    """
    FlaskDynaconf(
        app=app,
        loaders=[
            'application.utils.loaders.consul_loader',
            'application.utils.loaders.yaml_loader',
        ],
    )
