#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/10/28 18:16
# @File        : init_logger.py
# @Description : Initializes the FlaskLoguru service for a Flask application.
"""

from flask import Flask
from application.libs import FlaskLoguru


def init_logger(app: Flask) -> None:
    """
    Initializes the FlaskLoguru service for a Flask application.

    Loguru is a library which aims to bring enjoyable logging in Python.
    It provides a nice and clean interface over logging's complex API
    to ease the process of logging.

    Args:
        app (Flask): The Flask application.

    Returns:
        None
    """
    FlaskLoguru(app)
