#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/11/19 16:12
# @File        : log.py
# @Description : Defines a Pydantic model for parsing log request items.
"""

# Import custom modules
from pydantic import BaseModel


class ParseLogRequestItem(BaseModel):
    """
    A Pydantic model that represents a parse log request item.
    Each instance of this class includes a start and end attribute.
    """
    start: str
    end: str
