#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/10/28 22:29
# @File        : __init__.py
# @Description : Initializes the views for the Flask application.
"""

from flask import Flask

from .log import register_log_views


def init_views(app: Flask) -> None:
    """
    Initializes views by registering the log views with the Flask application.

    Args:
        app (Flask): The Flask application.

    Returns:
        None
    """
    register_log_views(app)
